petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecShift

Shifts all of the components of a vector by computing x[i] = x[i] + shift.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecShift(Vec v,PetscScalar shift)

Logically Collective on Vec Many br

### Input Parameters

| v | - the vector Many br
| shift | - the shift Many br

### Output Parameter

v -the shifted vector Many br

Many br

Level:intermediate
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/plate2f.F.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html